# Fetch session details

Returns session details for the specified session ID.

Endpoint: GET /api/v1.1/sessions/{sessionId}
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Path parameters:

  - `sessionId` (string, required)
    UUID of the session to fetch.

## Header parameters:

  - `x-instance-id` (string)
    UUID of the instance the session is linked to. Required by requests that use a ClientAccess token.

## Response 200:

  - `200` (unknown)
    OK. The request succeeded.

## Response 200 fields (application/json):

  - `sessionId` (string)
    UUID of the session.

  - `instanceId` (string)
    UUID of the instance linked to this session.

  - `state` (string)
    Current state of this session.
    Enum: "IDLE", "ACTIVE", "TERMINATED", "FAILED"

  - `items` (array)
    The items in this session.

  - `items.item` (string)
    The name of an item.

  - `items.version` (string)
    The version of an item.
Must match the item version in the rate table exactly.
If empty, it will only match an item in the rate table with an empty version field.
Wild cards are not supported.

  - `items.count` (number)
    Number of instances of the requested item being used in the session. The value can be fractional.

  - `items.variables` (object)
    A collection of named input values used for evaluating formula-based token consumption in an access request. The session item will have either `count` or `variables` depending on what was sent in the request.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 404:

  - `404` (unknown)
    Resource not found. The requested resource is not available.

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

